[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.PrinterType

Indicates whether the print device is a local or a network printer.

## Declaration

Source position: printers.pas line 340

`public property TPrinter.PrinterType : TPrinterType read GetPrinterType;`

## Description

PrinterType is a TPrinterType property which indicates whether the print device is locally attached, or network enabled. In TPrinter, the value for the property is always ptLocal. A descendent class (like TCUPSPrinter) may return another value from the TPrinterType enumeration.

## See also

TPrinterType |  | Represents connection types for a print device.